import { splitProps } from '../helpers.mjs';
import { createRecipe } from './create-recipe.mjs';

const headingFn = /* @__PURE__ */ createRecipe('heading', {
  "size": "xl"
}, [])

const headingVariantMap = {
  "size": [
    "4xl",
    "3xl",
    "2xl",
    "xl",
    "lg",
    "md",
    "sm",
    "xs"
  ],
  "uppercase": [
    "true"
  ]
}

const headingVariantKeys = Object.keys(headingVariantMap)

export const heading = /* @__PURE__ */ Object.assign(headingFn, {
  __recipe__: true,
  __name__: 'heading',
  raw: (props) => props,
  variantKeys: headingVariantKeys,
  variantMap: headingVariantMap,
  splitVariantProps(props) {
    return splitProps(props, headingVariantKeys)
  },
})